2018-12-19 00:02 UTC


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000042Branch 0.2.1-FINALBugpublic2016-11-23 10:28
Reporteruser13 
Assigned Touser13 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
Product Version0.2.1-FINAL 
Target Version0.2.1-FINALFixed in Version0.2.1-FINAL 
Summary0000042: Fehler im aktivieren von Ländercodes
DescriptionBeim aktivieren von Ländercodes kommt folgende Fehlermeldung:

# __errorHandler(8, Use of undefined constant ADMIN_STATUS_CHANGED_1 - assumed 'ADMIN_STATUS_CHANGED_1', E:\InternetProjekte\mailtausch\inc\modules\admin\admin-inc.php, 844, Array ([IDs] => Array ([14] => N,[42] => N),[table] => countries,[row] => is_active,[idRow] => id,[cnt] => 0,[newStatus] => Y,[selected] => N,[id] => 42)) called at [E:\InternetProjekte\mailtausch\inc\modules\admin\admin-inc.php:844]
# ADMIN_CHANGE_ACTIVATION_STATUS(Array ([14] => N,[42] => N), countries, is_active) called at [E:\InternetProjekte\mailtausch\inc\modules\admin\what-list_country.php:75]
# include(E:\InternetProjekte\mailtausch\inc\modules\admin\what-list_country.php) called at [E:\InternetProjekte\mailtausch\inc\modules\admin\action-country.php:47]
# include(E:\InternetProjekte\mailtausch\inc\modules\admin\action-country.php) called at [E:\InternetProjekte\mailtausch\inc\modules\admin\admin-inc.php:352]
# ADMIN_DO_ACTION(list_country) called at [E:\InternetProjekte\mailtausch\inc\modules\admin.php:368]
# include(E:\InternetProjekte\mailtausch\inc\modules\admin.php) called at [E:\InternetProjekte\mailtausch\modules.php:157]
TagsNo tags attached.
Attached Files

-Relationships Relation Graph ] Dependency Graph ]
+Relationships

-Notes

~0000096

user13

Last edited: 2010-05-28 17:29

View 2 revisions

Fehlende Konstanten in country_de.php ergänzt. Dieser Patch fixt aber auch gleich einen weiteren Bug beim aktivieren/deaktivieren. Bitte die Änderungen in der Funktion ADMIN_CHANGE_ACTIVATION_STATUS() cheken ob die Abfrag auf Y oder N richtig ist. Beim aufruf durch ext-country wird dort niemals $selected niemals auf 1 gesetzt.

http://stelzi.freetzi.com.invalid/patches/country_aktivation-Fix.patch

~0000098

Quix0r (administrator)

Hab mal die Kategorie "Bug" eingestellt.

~0000121

Quix0r (administrator)

Hab die Konstanten in bank_de.php gefunden (nicht-generic Sprachdatei) und in de.php verschoben. So kann jede Erweiterung diese nutzen. Zudem verhindert eine Duplizierung der Konstanten das Installieren beider jeweiliger Erweiterungen zur gleichen Zeit.

~0000137

user13

Last edited: 2010-05-28 17:29

View 2 revisions

Hm ja das mit den Konstanten ist so gefixt, aber nicht das mit dem aktivieren/deaktivieren. http://mxchange.stelzi.net.invalid/patches/country_aktivation-Fix2.patch ist der entsprechende Patch, der es wieder ordnungsgemäs aktivieren bzw. deaktivieren lässt.

~0000138

user13

Hm nach ein wenig aufräumen meiner Arbeitskopie schaut es so aus, als ob die Konstanten in bank_de.php sind nicht herausgelöscht worden und machen eine Fehlermeldung.

~0000140

Quix0r (administrator)

Danke, hatte ich wohl uebersehen.

~0000169

user13

Ja ist mit aktueller Rev. gefixt.

~0000804

Quix0r (administrator)

Und zu damit.
+Notes

-Issue History
Date Modified Username Field Change
2008-12-29 22:24 user13 New Issue
2008-12-29 23:42 user13 Note Added: 0000096
2008-12-30 14:54 Quix0r Note Added: 0000098
2008-12-30 14:54 Quix0r Category => Bug
2009-02-06 00:03 Quix0r Note Added: 0000121
2009-02-06 00:04 Quix0r Assigned To => Quix0r
2009-02-06 00:04 Quix0r Status new => assigned
2009-02-06 00:04 Quix0r Product Version => 0.2.1-FINAL
2009-02-06 00:04 Quix0r Build => SVN-HEAD
2009-02-06 00:04 Quix0r Fixed in Version => 0.2.1-FINAL
2009-02-06 00:04 Quix0r Target Version => 0.2.1-FINAL
2009-02-06 00:04 Quix0r Description Updated
2009-02-06 01:14 Quix0r Status assigned => feedback
2009-02-06 19:05 user13 Note Added: 0000137
2009-02-06 19:35 user13 Note Added: 0000138
2009-02-07 00:12 Quix0r Note Added: 0000140
2009-02-07 03:01 Quix0r Assigned To Quix0r => user13
2009-02-07 03:01 Quix0r Description Updated
2009-02-09 11:45 user13 Note Added: 0000169
2009-02-09 11:45 user13 Status feedback => resolved
2009-02-09 11:45 user13 Resolution open => fixed
2010-05-28 17:28 Quix0r Description Updated View Revisions
2010-05-28 17:29 Quix0r Note Edited: 0000096 View Revisions
2010-05-28 17:29 Quix0r Note Edited: 0000137 View Revisions
2016-11-23 10:28 Quix0r Note Added: 0000804
2016-11-23 10:28 Quix0r Status resolved => closed
+Issue History